/* Loop.java -- An abstract subclass for looping composite processes.
 Copyright (C) 2005  The University of Sheffield.

 This file is part of the CASheW-s editor.

 The CASheW-s editor is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.
 
 The CASheW-s editor is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with The CASheW-s editor; see the file COPYING.  If not, write to the
 Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 02111-1307 USA.
*/

package nongnu.cashews.language.process;

import nongnu.cashews.language.expression.Expression;

/**
 * <code>Loop</code> is simply an abstraction of all looping composite
 * processes.
 *
 * @author Andrew John Hughes (gnu_andrew@member.fsf.org)
 * @see CompositeProcess
 */
public class Loop
  implements CProcess
{

  /**
   * The condition on which the loop depends.
   *
   * @serial the condition.
   */
  private Expression condition;

  /**
   * The performance which is repeatedly executed while the condition
   * returns true.
   *
   * @serial the performance which is executed while the condition holds.
   */
  private Performance perform;

}
