/* Expression.java -- Representation of an expression.
 Copyright (C) 2005  The University of Sheffield.

 This file is part of the CASheW-s editor.

 The CASheW-s editor is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.
 
 The CASheW-s editor is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with The CASheW-s editor; see the file COPYING.  If not, write to the
 Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 02111-1307 USA.
*/

package nongnu.cashews.owls.expression;

import nongnu.cashews.rdf.XMLLiteral;

/**
 * This class represents an OWL-S expression in a particular logical language.
 * 
 * @author Andrew John Hughes (gnu_andrew@member.fsf.org)
 */
public class Expression
{

  /**
   * The logical language in which this expression is written.
   * 
   * @serial the logical language of this expression.
   */
  private LogicLanguage language;

  /**
   * The value of this expression, in the form of literal XML.
   * 
   * @see nongnu.cashews.rdf.XMLLiteral
   */
  private XMLLiteral value;

  /**
   * Sets the logical formalism used by this expression.
   * 
   * @param newLang the new language to use.
   */
  public void setLanguage(LogicLanguage newLang)
  {
    language = newLang;
  }

}
