/* Produce.java -- An encapsulation of the output bindings for a composite.
 Copyright (C) 2005  The University of Sheffield.

 This file is part of the CASheW-s editor.

 The CASheW-s editor is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.
 
 The CASheW-s editor is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with The CASheW-s editor; see the file COPYING.  If not, write to the
 Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 02111-1307 USA.
*/

package nongnu.cashews.owls.process;

import java.util.List;

/**
 * A <code>Produce</code> encapsulates the output bindings
 * which produce the final results of the composite process.
 * The purpose of this is to delay the production of values
 * which depend on the successful execution of the other
 * processes in the composite process.
 * 
 * @author Andrew John Hughes (gnu_andrew@member.fsf.org)
 */
public class Produce
  extends ControlConstruct
{

  /**
   * The output bindings that produce the output for the composite process.
   *
   * @serial the output bindings.
   */
  private List<OutputBinding> produce;


}
