/* ValueOf.java -- Representation of a parameter reference pair.
 Copyright (C) 2005  The University of Sheffield.

 This file is part of the CASheW-s editor.

 The CASheW-s editor is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.
 
 The CASheW-s editor is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with The CASheW-s editor; see the file COPYING.  If not, write to the
 Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 02111-1307 USA.
*/

package nongnu.cashews.owls.process;

/**
 * A <code>ValueOf</code> is a pair of values which specify a parameter
 * reference.  This pair consists of the name of the parameter, and the
 * process in which it is contained.
 *
 * @author Andrew John Hughes (gnu_andrew@member.fsf.org)
 */
public class ValueOf
{

  /**
   * The name of the parameter being referenced.
   *
   * @serial the parameter name.
   */
  private Parameter theVar;

  /**
   * The process containing the parameter.
   *
   * @serial the containing process.
   * FIXME: Uncomment when processes are implemented.
   */
  //private Perform fromProcess;

}
