/* ServiceModel.java -- Representation of an OWL-S service model.
 Copyright (C) 2005  The University of Sheffield.

 This file is part of the CASheW-s editor.

 The CASheW-s editor is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.
 
 The CASheW-s editor is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with The CASheW-s editor; see the file COPYING.  If not, write to the
 Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 02111-1307 USA.
*/

package nongnu.cashews.owls.service;

/**
 * <p>
 * The service model describes how the service works.  This may
 * be used by agents in a variety of ways:
 * </p>
 * <ul>
 * <li>
 * For a more in-depth function analysis than that provided by the profile
 * </li>
 * <li>
 * To compose multiple service descriptions
 * </li>
 * <li>
 * To co-ordinate participants during a service enactment
 * </li>
 * <li>
 * To monitor service execution
 * </li>
 * </ul>
 *
 * @author Andrew John Hughes (gnu_andrew@member.fsf.org)
 * @see Service
 */
public abstract class ServiceModel
{

}
