/* Input.java -- Input class for a key-value pair service.
 Copyright (C) 2005  The University of Sheffield.

 This file is part of the CASheW-s editor.

 The CASheW-s editor is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.
 
 The CASheW-s editor is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with The CASheW-s editor; see the file COPYING.  If not, write to the
 Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 02111-1307 USA.
*/

package nongnu.cashews.services;

/**
 * Represents an input in a key-value pair service.
 *
 * @author Andrew John Hughes (gnu_andrew@member.fsf.org)
 */
public class Input
{
  
  /**
   * The name of the input.
   */
  private String name;

  /**
   * The value of the input.
   */
  private String value;

  /**
   * Constructs a new input.
   */
  public Input(String name, String value)
  {
    setName(name);
    setValue(value);
  }

  /**
   * Sets the name to that specified.
   *
   * @param name the new name.
   */
  public void setName(String name)
  {
    this.name = name;
  }

  /**
   * Sets the value to that specified.
   *
   * @param value the new value.
   */
  public void setValue(String value)
  {
    this.value = value;
  }

  /**
   * Returns a <code>String</code> representation of this performance.
   *
   * @return a textual representation.
   */
  public String toString()
  {
    return getClass().getName() +
      "[name=" +
      name +
      ",value=" +
      value +
      "]";
  }

}
